
_Blink:

	MOVLW       1
	MOVWF       R1 
L_Blink0:
	MOVF        R1, 0 
	SUBWF       FARG_Blink_times+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_Blink1
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L_Blink3:
	DECFSZ      R13, 1, 1
	BRA         L_Blink3
	DECFSZ      R12, 1, 1
	BRA         L_Blink3
	DECFSZ      R11, 1, 1
	BRA         L_Blink3
	NOP
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L_Blink4:
	DECFSZ      R13, 1, 1
	BRA         L_Blink4
	DECFSZ      R12, 1, 1
	BRA         L_Blink4
	DECFSZ      R11, 1, 1
	BRA         L_Blink4
	NOP
	INCF        R1, 1 
	GOTO        L_Blink0
L_Blink1:
L_end_Blink:
	RETURN      0
; end of _Blink

_main:

	MOVLW       112
	MOVWF       OSCCON+0 
	BSF         PLLEN_bit+0, BitPos(PLLEN_bit+0) 
	BCF         TRISC2_bit+0, BitPos(TRISC2_bit+0) 
	BCF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	BSF         PCFG10_bit+0, BitPos(PCFG10_bit+0) 
	BCF         RBPU_bit+0, BitPos(RBPU_bit+0) 
	BSF         TRISB1_bit+0, BitPos(TRISB1_bit+0) 
	BTFSC       RB1_bit+0, BitPos(RB1_bit+0) 
	GOTO        L_main5
	MOVLW       2
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
	CALL        _Mmc_Fat_Init+0, 0
	MOVF        R0, 0 
	MOVWF       _init_result+0 
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main6
	CLRF        FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
	MOVLW       116
	MOVWF       ?lstr1_SD+0 
	MOVLW       101
	MOVWF       ?lstr1_SD+1 
	MOVLW       115
	MOVWF       ?lstr1_SD+2 
	MOVLW       116
	MOVWF       ?lstr1_SD+3 
	MOVLW       46
	MOVWF       ?lstr1_SD+4 
	MOVLW       116
	MOVWF       ?lstr1_SD+5 
	MOVLW       120
	MOVWF       ?lstr1_SD+6 
	MOVLW       116
	MOVWF       ?lstr1_SD+7 
	CLRF        ?lstr1_SD+8 
	MOVLW       ?lstr1_SD+0
	MOVWF       FARG_Mmc_Fat_Assign_name+0 
	MOVLW       hi_addr(?lstr1_SD+0)
	MOVWF       FARG_Mmc_Fat_Assign_name+1 
	MOVLW       128
	MOVWF       FARG_Mmc_Fat_Assign_attrib+0 
	CALL        _Mmc_Fat_Assign+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_main7
	CALL        _Mmc_Fat_Append+0, 0
	MOVLW       ?ICS?lstr2_SD+0
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(?ICS?lstr2_SD+0)
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(?ICS?lstr2_SD+0)
	MOVWF       TBLPTRU 
	MOVLW       ?lstr2_SD+0
	MOVWF       FSR1 
	MOVLW       hi_addr(?lstr2_SD+0)
	MOVWF       FSR1H 
	MOVLW       18
	MOVWF       R0 
	MOVLW       1
	MOVWF       R1 
	CALL        ___CC2DW+0, 0
	MOVLW       ?lstr2_SD+0
	MOVWF       FARG_Mmc_Fat_Write_fdata+0 
	MOVLW       hi_addr(?lstr2_SD+0)
	MOVWF       FARG_Mmc_Fat_Write_fdata+1 
	MOVLW       17
	MOVWF       FARG_Mmc_Fat_Write_len+0 
	MOVLW       0
	MOVWF       FARG_Mmc_Fat_Write_len+1 
	CALL        _Mmc_Fat_Write+0, 0
	BSF         LATC2_bit+0, BitPos(LATC2_bit+0) 
	GOTO        L_main8
L_main7:
	MOVLW       4
	MOVWF       FARG_Blink_times+0 
	CALL        _Blink+0, 0
L_main8:
	GOTO        L_main9
L_main6:
	MOVF        _init_result+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L_main10
	MOVLW       2
	MOVWF       FARG_Blink_times+0 
	CALL        _Blink+0, 0
	GOTO        L_main11
L_main10:
	MOVLW       3
	MOVWF       FARG_Blink_times+0 
	CALL        _Blink+0, 0
L_main11:
L_main9:
	GOTO        L_main12
L_main5:
	MOVLW       1
	MOVWF       FARG_Blink_times+0 
	CALL        _Blink+0, 0
L_main12:
L_end_main:
	GOTO        $+0
; end of _main
